
<div *ngIf="bet">
    <h2><span jhiTranslate="typerApp.bet.detail.titleExtend">Bet</span> {{bet.game.host.name + ' vs ' + bet.game.guest.name}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="typerApp.bet.date">Date</span></dt>
        <dd>
            <span>{{bet.date | date:'medium'}}</span>
        </dd>
        <dt *ngIf="bet.type == 1 || bet.type == 3"><span jhiTranslate="typerApp.bet.hostResult">Host Result</span></dt>
        <dd *ngIf="bet.type == 1 || bet.type == 3">
            <span>{{bet.hostResult + ':' + bet.guestResult}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.bet.type">Type</span></dt>
        <dd>
            <span>{{bet.type == 1 ? 'Dokładny wynik' : bet.type == 2 ? 'Zakład prosty' : 'Zakład mieszany' }}</span>
        </dd>
        <dt *ngIf="bet.type == 2 || bet.type == 3"><span jhiTranslate="typerApp.bet.winner">Winner</span></dt>
        <dd *ngIf="bet.type == 2 || bet.type == 3">
            <span>{{bet.winner == 0 ? 'Remis' : bet.winner == 1 ? bet.game.host.name : bet.game.guest.name}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.bet.game">Game</span></dt>
        <dd>
            <div *ngIf="bet.game">
                <a [routerLink]="['/game', bet.game?.id]">{{bet.game?.host.name + ' vs ' + bet.game?.guest.name}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="typerApp.bet.status">Status</span></dt>
        <dd>
            <span>{{getState() ? 'Nierozliczony' : 'Rozliczony'}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.bet.points">Points</span></dt>
        <dd>
            <span>{{getPoints() + ' pkt'}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'bet/'+ bet.id + '/edit'} }]"
            replaceUrl="true"
            queryParamsHandling="merge"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
